> For the complete documentation index, see [llms.txt](https://docs.avoautomation.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.avoautomation.com/avo-assure/actions/apis/assertion/jsonpath-match/assertion-expression-builder.md).

# Assertion Expression Builder

The Assertion expression builder simplifies the process of creating JSONPath expressions for API assertions. It allows you to navigate through JSON Body, select the expected node or parameter, and automatically generate the expected result and expression.

## Creating JSON Expression through Assertion Expression Builder

To create JSON expression through assertion expression builder, perform the following actions:

1. On the **Home** page, under **Projects**, select the required project.
2. Select **Design Studio** > **Test Case** page.
3. Select Test Case and create an API Test Step Group.
4. Select **@Assertion** from **Elements** column.

{% hint style="info" %}
**Note**: To know more about test step creation, [click here](/avo-assure/avo-assure-supported-technologies-for-automation/api-automation/creating-apis-test-case.md#creating-test-steps).
{% endhint %}

5. Select the **JSONPath match** action.
6. Select the **Open assertion expression builder** icon. The **Assertion expression builder** dialog opens.
7. In the **Response Body** section, enter the JSON response body manually.
8. From **Select expected result node**, select a node to generate the JSON expression.

{% hint style="info" %}
**Note**: To create a conditional expression, use a filter expression and enter the required value manually in the Input Value field.
{% endhint %}

9. Select **Add**.

The Assertion expression builder adds the generated expected result and expression to the Input Value column in the required syntax format.

![](/files/BLyGq8EQtjcLIiHuHoAj)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.avoautomation.com/avo-assure/actions/apis/assertion/jsonpath-match/assertion-expression-builder.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
